AdMob 7 for iOS 8

    image

    On the eve of all my applications for iOS began to give warnings.
    You are currently using version 6.12.2 of the SDK, which doesn't officially support iOS 8. Please consider updating your SDK to the most recent sdk version, 7.0.0, to get iOS 8 support, including a fix for smart banner rendering in landscape mode. The latest SDK can be downloaded from goo.gl/iGzfsP .

    Switching to a new version of adMob takes a few minutes.
    I have two news for iOS developers - one good, the other ... good too.



    Good news


    Google replaced a bunch of files and directories with a single file
    GoogleMobileAds.framework


    In the project, the new file conveniently folds into a common group of frameworks and does not callus.
    In addition, there is no need to build bridges between Obj-C and Swift.

    And finally, you can throw out the crap -ObjC flag from your projects.

    Code Changes



    I removed 2 lines from the ViewController.h file
    #import "GADBannerView.h"
    @interface ViewController : UIViewController 


    And added 2 lines to the file ViewController.m
    @import GoogleMobileAds;
    @interface ViewController ()  {
    


    All changes completed.

    Good news two



    As a result, you will have to rebuild all the applications and transfer them to the store. Verification will take 7-10 days.
    Bragging, I already updated one application, laid out and checked. Whoever likes, try, all for free. Hello to all coders from our village.

    image


    Also popular now: